<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/seekbarsize_small"
        android:layout_marginRight="@dimen/seekbarsize_small"
        app:cardBackgroundColor="@color/white"
        app:cardElevation="2dp"
        app:cardMaxElevation="2dp"
        app:cardUseCompatPadding="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:minWidth="90dp"
                android:orientation="vertical"
                android:padding="@dimen/textSizeToSmall">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/questionNumber"
                        android:layout_width="@dimen/buttonHeightNormal"
                        android:layout_height="@dimen/buttonHeightNormal"
                        android:layout_gravity="center"
                        android:background="@android:color/transparent"
                        android:gravity="center"
                        android:src="@mipmap/question" />

                    <TextView
                        android:id="@+id/questionText"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"

                        android:layout_gravity="center"
                        android:layout_marginLeft="@dimen/textSizeToSmall"
                        android:layout_toRightOf="@id/questionNumber"
                        android:background="#ffffff"
                        android:gravity="center|left"
                        android:minWidth="@dimen/buttonHeightLarge"
                        android:text=""
                        android:textColor="@color/material_black"
                        android:textSize="@dimen/textSizeSmall"
                        android:textStyle="bold" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/questionText"
                        android:layout_marginLeft="@dimen/buttonHeight"
                        android:orientation="vertical"
                        android:visibility="visible">


                        <EditText
                            android:id="@+id/remarks"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"

                            android:layout_marginRight="@dimen/textSizeToSmall"
                            android:background="@drawable/border_bottom_black"
                            android:hint="Type here"
                            android:inputType="textMultiLine"
                            android:minHeight="@dimen/buttonHeightSmall"
                            android:padding="@dimen/seekbarsize_small"
                            android:textColor="@color/material_black"
                            android:textSize="@dimen/textSizeAverage" />

                    </LinearLayout>
                </RelativeLayout>


            </LinearLayout>

            <FrameLayout
                android:id="@+id/ratingCardView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/seekbarsize_small"
                android:layout_marginRight="@dimen/seekbarsize_small">

                <RadioGroup
                    android:id="@+id/ratingView"
                    android:layout_width="match_parent"
                    android:layout_height="70dp"
                    android:gravity="center|top"
                    android:orientation="horizontal">

                </RadioGroup>

                <RadioGroup
                    android:id="@+id/singleChoiceView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                </RadioGroup>

                <LinearLayout
                    android:id="@+id/multiChoiceView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/smileyView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/buttonHeight"
                    android:orientation="vertical">

                </LinearLayout>
            </FrameLayout>
        </LinearLayout>

    </androidx.cardview.widget.CardView>


</LinearLayout>
